import 'package:test/test.dart';
import 'package:xdatabase/xdatabase.dart';

@Table('log_table')
@Index(name: '_idx_log_ts', columns: ['local_id', 'create_ts'])
class Log {
  @Field(type: 'VARCHAR(36)', primary: true)
  String localId = '';

  @Field(type: 'VARCHAR(66)', mark: '作者ID')
  String autherId = '';

  @Field(type: 'TEXT', mark: '内容')
  String body = '';

  @Field(type: 'INT', mark: '创建事件')
  int createTs = 0;
  Log(
      {required this.localId,
      required this.autherId,
      required this.body,
      required this.createTs});
}

void main() {
  group('A group of tests', () {
    setUp(() {
      // Additional setup goes here.
    });

    test('First Test', () {});
  });
}
